[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# IntersectRect

Intersects SrcRect1 and SrcRect2 into DestRect.

## Declaration

Source position: winapih.inc line 326

`function IntersectRect(`
`var DestRect: TRect;`
`const SrcRect1: TRect;`
`const SrcRect2: TRect`
`):Boolean;`

## Arguments

`DestRect` |  | Receives the intersection.

## Function result

False when the rectangles don't overlap.

## Description

Intersecting means that DestRect will be the overlapping area of SrcRect1 and SrcRect2.

If SrcRect1 and SrcRect2 do not overlap the Result is False, else True.